extends ./includes/tmpl.pug 

block header 
    include includes/header-new.pug

block main   
    main.s-main 

        div.container
            div.wrap__header.d-flex.justify-content-between
                div.h3.mt-0 Mint NFT
            div.mb-4
                p
                    small
                        | With this dApp you can mint ERC-721 or ERC-1155 NFT and make it smarter in few clicks in other dApps.
                        br
                    small.text-muted
                        | * This is a MVP version. Please let us know about any problems or errors occured - 
                        a(href='mailto:info@envelop.is') info@envelop.is

            include includes/mint-mode-advanced.pug
            div.c-wrap
                div.row 
                    div.col-md-5.mb-5.mb-md-0
                        button.btn.btn-gray.h-auto.pr-5.pl-3.mb-3.w-100
                            img(src='https://stage.appv1.envelop.is/mintnew/static/media/info.38f29d03d65aeb12e378.png', style='max-width: 80px;').mr-2 
                            span Want an AI-generated NFT? 
                        div.upload-container.nft-upload.mb-4 
                            div.upload-poopover
                                div.inner 
                                    div.h5.mb-0 Drop your file here 

                        //- button.btn-link.mr-md-3 Click to upload your file 

                        div.input-group
                            label.input-label or enter an external URL
                                span(data-tippy-content="Short help message for new customers").i-tip.ml-1
                            input(type="text").input-control 
                        div 
                            div.mb-2 
                                small.text-muted File types supported: JPG, PNG, GIF, SVG, MP4, WEBM, MP3, WAV, OGG, GLB, GLTF. 
                            div 
                                small.text-muted Max size: 100 MB

                    div.col-md-7.pl-md-6
                        div.input-group
                            label.input-label Name<sup class="text-red">*</sup>
                            input(type="text").input-control        
                        div.input-group
                            label.input-label Description<sup class="text-red">*</sup>
                            textarea.input-control(rows="5")
                        div
                            button.btn.btn-outline Add your NFT attributes

            div.row 
                div.col-12
                    //div.c-wrap 
                        button.btn.btn-gray Add properties
                    
                    div.c-wrap 
                        div.row.mb-5 
                            div.col-12.col-md-auto
                                div.input-group
                                    label.input-label NFT Standard
                                        span.i-tip
                                    div.row.row-sm
                                        div.col-12.my-2
                                            label.checkbox
                                                input(type="radio" name="nft-standard")
                                                span.check 
                                                span.check-text BEP-721
                                        div.col-12.my-2
                                            label.checkbox
                                                input(type="radio" name="nft-standard" checked)
                                                span.check 
                                                span.check-text 
                                                    b BEP-1155
                            div.col-12.col-md-8.col-lg-5
                                div.input-group
                                    label.input-label Available <span class="text-green">BEP-1155</span> contracts list:
                                        span.i-tip
                                div.my-contracts
                                    div.mb-3
                                        label.checkbox
                                            input(type='radio', name='my-contracts', value='0', checked='')
                                            span.check  
                                            span.check-text 
                                                b Default Contract - 0x1F...Ff8A 
                                            button.btn-copy 
                                                img(src='https://stage.appv1.envelop.is/mintnew/static/media/i-copy.e5a72d2a80f1b19937eb7dc2e5c515cf.svg', alt='')
                                                span.btn-action-info(style='display: none;') Copied
                                    div.mb-3
                                        label.checkbox
                                            input(type='radio', name='my-contracts', value='0')
                                            span.check  
                                            span.check-text Default Contract - 0x1F...Ff8A 
                                            button.btn-copy 
                                                img(src='https://stage.appv1.envelop.is/mintnew/static/media/i-copy.e5a72d2a80f1b19937eb7dc2e5c515cf.svg', alt='')
                                                span.btn-action-info(style='display: none;') Copied                               
                               
                                div.d-inline-block.mr-2.my-3
                                    button.btn.btn-outline Create personal BEP-1155 Mint contract

                            div.col-auto.mt-4.mt-lg-0
                                div.row
                                    div.col-auto
                                        div.input-group.mb-md-0
                                            label.input-label Quantity
                                                span.i-tip
                                        div.number-group
                                            input.input-control(type='text', placeholder='', value='2')
                                            button.qty-plus
                                                svg(width='16', height='16', viewBox='0 0 16 16', fill='none', xmlns='http://www.w3.org/2000/svg')
                                                    path(d='M14.6666 10.7287L7.99992 3.66992L1.33325 10.7287', stroke='white')
                                            button.qty-minus(disabled='')
                                                svg(width='16', height='16', viewBox='0 0 16 16', fill='none', xmlns='http://www.w3.org/2000/svg')
                                                    path(d='M1.33325 5.3335L7.99992 12.3923L14.6666 5.3335', stroke='white')

                                    div.col-auto
                                        div.input-group.mb-md-0
                                            label.input-label Batch
                                                span.i-tip
                                        div.number-group
                                            input.input-control(type='text', placeholder='', value='2')
                                            button.qty-plus
                                                svg(width='16', height='16', viewBox='0 0 16 16', fill='none', xmlns='http://www.w3.org/2000/svg')
                                                    path(d='M14.6666 10.7287L7.99992 3.66992L1.33325 10.7287', stroke='white')
                                            button.qty-minus(disabled='')
                                                svg(width='16', height='16', viewBox='0 0 16 16', fill='none', xmlns='http://www.w3.org/2000/svg')
                                                    path(d='M1.33325 5.3335L7.99992 12.3923L14.6666 5.3335', stroke='white')
                               
                
                
                //div.col-md-5.col-lg-4
                    div.c-wrap.p-0
                        div.c-wrap__toggle
                            div 
                                b Advanced options
                        div.c-wrap__dropdown        
                            div.input-group.pt-2.mb-0
                                label.input-label.pb-1 Meta data hosting place:
                                div.mb-3 
                                    label.checkbox
                                        input(type="radio" name="meta-hosting" ckecked)
                                        span.check 
                                        span.check-text Swarm
                                            span(data-tippy-content="Short help message for new customers").i-tip.ml-1

                                div.mb-3 
                                    label.checkbox
                                        input(type="radio" name="meta-hosting")
                                        span.check 
                                        span.check-text Envelop
                                            span(data-tippy-content="Short help message for new customers").i-tip.ml-1            

                                div.mb-3 
                                    label.checkbox
                                        input(type="radio" name="meta-hosting")
                                        span.check 
                                        span.check-text Unstopable NFT
                                            span(data-tippy-content="Short help message for new customers").i-tip.ml-1
                
                div.col-12.col-md-7.col-lg-4  
                    button.btn.btn-lg.w-100 Create                                 